Bug 115797 - [PATCH] sysutils/tracker: update to 0.6.1
Summary: [PATCH] sysutils/tracker: update to 0.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-24 23:00 UTC by Yuri Pankov
Modified: 2007-08-26 01:50 UTC (History)
1 user (show)

See Also:


Attachments
tracker-0.6.1.patch (14.98 KB, patch)
2007-08-24 23:00 UTC, Yuri Pankov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Pankov 2007-08-24 23:00:05 UTC
- Update to 0.6.1

Added file(s):
- files/patch-src__libtracker-gtk__tracker-keyword-store.h
- files/patch-src__libtracker-gtk__tracker-metadata-tile.h
- files/patch-src__libtracker-gtk__tracker-tag-bar.h
- files/patch-src__libtracker-gtk__tracker-utils.h
- files/patch-src__sqlite3__os_unix.c
- files/patch-src__tracker-search-tool__tracker-search-tool-support.h
- files/patch-src__trackerd__tracker-utils.c

Removed file(s):
- files/patch-src_sqlite3_os_unix.c

Port maintainer (gnome@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-08-24 23:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-08-25 21:35:57 UTC
mezz        2007-08-25 20:35:52 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/tracker     Makefile distinfo pkg-plist 
  Added files:
    sysutils/tracker/files patch-src_libtracker-gtk_Makefile.in 
                           patch-src_libtracker-gtk_tracker-tag-bar.h 
                           patch-src_sqlite3_Makefile.in 
                           patch-src_tracker-search-tool_tracker-search-tool-support.h 
                           patch-src_trackerd_tracker-utils.c 
  Removed files:
    sysutils/tracker/files patch-src_sqlite3_os_unix.c 
  Log:
  Update to 0.6.1.
  
  PR:             ports/115797
  Submitted by:   Yuri Pankov <yuri@darklight.org.ru>
  
  Revision  Changes    Path
  1.14      +14 -7     ports/sysutils/tracker/Makefile
  1.4       +3 -3      ports/sysutils/tracker/distinfo
  1.1       +13 -0     ports/sysutils/tracker/files/patch-src_libtracker-gtk_Makefile.in (new)
  1.1       +11 -0     ports/sysutils/tracker/files/patch-src_libtracker-gtk_tracker-tag-bar.h (new)
  1.1       +10 -0     ports/sysutils/tracker/files/patch-src_sqlite3_Makefile.in (new)
  1.2       +0 -12     ports/sysutils/tracker/files/patch-src_sqlite3_os_unix.c (dead)
  1.1       +18 -0     ports/sysutils/tracker/files/patch-src_tracker-search-tool_tracker-search-tool-support.h (new)
  1.1       +14 -0     ports/sysutils/tracker/files/patch-src_trackerd_tracker-utils.c (new)
  1.7       +67 -8     ports/sysutils/tracker/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jeremy Messenger freebsd_committer 2007-08-25 21:36:02 UTC
State Changed
From-To: open->closed

Committed, thanks! I have tweaked it a bit. 

-#include <tracker.h> 
+#include "../libtracker/tracker.h" 

This isn't a correct solution. I have created a correct solution in 
patch-src_libtracker-gtk_Makefile.in. Also, I have added INSTALLS_ICONS=yes 
as I believe that portlint will warning about it. 

As for the patch-src_sqlite3_os_unix.c, I have created a better one in 
patch-src_sqlite3_Makefile.in.
Comment 4 Yuri Pankov 2007-08-26 00:58:33 UTC
Mezz,

Thanks for commiting it. I understand that it may be not correct. Anyway, I've
submitted "bug report" to tracker bugzilla on gnome.org and hope that it would
be fixed in next release. Other patches fix numerous crashes in
tracker-search-tool on amd64 due to missing function prototypes, sorry for not
mentionting it in PR.

http://bugzilla.gnome.org/show_bug.cgi?id=470035
http://bugzilla.gnome.org/show_bug.cgi?id=470037


Thanks,
Yuri
Comment 5 Jeremy Messenger 2007-08-26 01:47:49 UTC
On Sat, 25 Aug 2007 18:58:33 -0500, Yuri Pankov <yuri@darklight.org.ru> =
 =

wrote:

> Mezz,
>
> Thanks for commiting it. I understand that it may be not correct.  =

> Anyway, I've
> submitted "bug report" to tracker bugzilla on gnome.org and hope that =
it  =

> would
> be fixed in next release. Other patches fix numerous crashes in
> tracker-search-tool on amd64 due to missing function prototypes, sorry=
  =

> for not
> mentionting it in PR.

That's alright. Thanks for create bugzilla! You have saved my time. :-) =
I  =

have replied to one of your bugzilla (470037) with an attach.

Cheers,
Mezz

> http://bugzilla.gnome.org/show_bug.cgi?id=3D470035
> http://bugzilla.gnome.org/show_bug.cgi?id=3D470037
>
>
> Thanks,
> Yuri


-- =

mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team  -  FreeBSD Multimedia Hat (ports, not src)
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
http://wiki.freebsd.org/multimedia  -  multimedia@FreeBSD.org